Page MenuHomePhabricator

CX2: Link translated articles with other languages through Wikidata automatically
Closed, ResolvedPublic

Description

When publishing a translation it is expected that the resulting article will be linked through Wikidata with the corresponding articles in other languages (T87410). This was working on Content Translation version 1, but it is not supported in version 2, according to several users reports (1) (2) (3) (4) (5) (6) (7).

We should update the publishing process for version 2 to make sure the Wikidata update part works as expected.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterCX2: Fix Wikibase linking

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2018, 9:28 AM
Pginer-WMF updated the task description. (Show Details)Jun 18 2018, 9:04 AM
Pginer-WMF updated the task description. (Show Details)Jun 18 2018, 9:58 AM
Pginer-WMF raised the priority of this task from Normal to High.Jun 20 2018, 8:39 AM

Change 441624 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] CX2: Fix Wikibase linking

https://gerrit.wikimedia.org/r/441624

Petar.petkovic moved this task from Priority backlog to In Review on the Language-2018-Apr-June board.
Petar.petkovic moved this task from Needs Triage to Bugs on the ContentTranslation board.

Change 441624 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Fix Wikibase linking

https://gerrit.wikimedia.org/r/441624

Nikerabbit removed a project: Patch-For-Review.
Arrbee moved this task from Bugs to CX2 on the ContentTranslation board.Jun 25 2018, 10:49 AM
Vvjjkkii renamed this task from CX2: Link translated articles with other languages through Wikidata automatically to y0aaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed Petar.petkovic as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Petar.petkovic; removed: gerritbot, Aklapper.
Petar.petkovic renamed this task from y0aaaaaaaa to CX2: Link translated articles with other languages through Wikidata automatically.Jul 1 2018, 11:18 PM
Petar.petkovic claimed this task.
Petar.petkovic updated the task description. (Show Details)
Petar.petkovic added a subscriber: Aklapper.
Pginer-WMF closed this task as Resolved.Jul 24 2018, 9:32 AM